package com.ruoyi.dz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 教师班级关系对象 dz_teacher_class
 *
 * @author ruoyi
 * @date 2025-09-12
 */
public class DzTeacherClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    private Long id;

    /** 老师id */
    @Excel(name = "老师id")
    private Long teacherId;

    /** 班级id */
    @Excel(name = "班级id")
    private Long classId;
    private Long[] classIds;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 有效状态 */
    @Excel(name = "有效状态")
    private Integer status;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date outDate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }


    public DzTeacherClass setTeacherId(Long teacherId)
    {
        this.teacherId = teacherId;
        return this;
    }

    public Long getTeacherId()
    {
        return teacherId;
    }

    public void setClassId(Long classId)
    {
        this.classId = classId;
    }

    public Long getClassId()
    {
        return classId;
    }

    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setOutDate(Date outDate)
    {
        this.outDate = outDate;
    }

    public Date getOutDate()
    {
        return outDate;
    }

    public Long[] getClassIds() {
        return classIds;
    }

    public void setClassIds(Long[] classIds) {
        this.classIds = classIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teacherId", getTeacherId())
            .append("classId", getClassId())
            .append("schoolId", getSchoolId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("outDate", getOutDate())
            .toString();
    }
}
